<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ShowDlg Method (IEdmBatchAdd2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchAdd2 Interface : ShowDlg Method (IEdmBatchAdd2)

Visual Basic
C#
C++/CLI

hParentWnd
  Parent window handle for the dialog box

lEdmAddFileDlgFlags
  Combination of EdmAddFileDlgFlag bits

bsMessage
  Message to display in the dialog box

bsCaption
  Dialog box caption

Shows a dialog box containing information about the file and folders that are about to be added to the vault by IEdmBatchAdd::CommitAdd.

# Syntax

Visual Basic |
--- | ---

    Function ShowDlg( _
       ByVal hParentWnd As System.Integer, _
       ByVal lEdmAddFileDlgFlags As System.Integer, _
       Optional ByVal bsMessage As System.String, _
       Optional ByVal bsCaption As System.String _
    ) As System.Boolean

C# |
--- | ---

    System.bool ShowDlg(
       System.int hParentWnd,
       System.int lEdmAddFileDlgFlags,
       System.string bsMessage,
       System.string bsCaption
    )

C++/CLI |
--- | ---

    System.bool ShowDlg(
    &   System.int hParentWnd,
    &   System.int lEdmAddFileDlgFlags,
    &   System.String^ bsMessage,
    &   System.String^ bsCaption
    )

#### Parameters

hParentWnd
  Parent window handle for the dialog box
lEdmAddFileDlgFlags
  Combination of EdmAddFileDlgFlag bits
bsMessage
  Message to display in the dialog box
bsCaption
  Dialog box caption

#### Return Value

True if the user clicked OK, false if the user clicked Cancel

# Example

See the IEdmBatchAdd examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchAdd2 Interface
IEdmBatchAdd2 Members

# Availability

SOLIDWORKS PDM Professional 2009